org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.TeiidFutureReserveWord

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.TeiidFutureReserveWord>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.TeiidFutureReserveWord

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.TeiidFutureReserveWord>
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.TeiidFutureReserveWord
      extends Enum<TeiidDdlConstants.TeiidFutureReserveWord>

  Teiid future reserved words.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOCATE`
    `ARE`
    `ARRAY`
    `ASENSITIVE`
    `ASYMETRIC`
    `AUTHORIZATION`
    `BINARY`
    `CALLED`
    `CASCADED`
    `CHARACTER`
    `CHECK`
    `CLOSE`
    `COLLATE`
    `COMMIT`
    `CONNECT`
    `CORRESPONDING`
    `CRITERIA`
    `CURRENT_DATE`
    `CURRENT_TIME`
    `CURRENT_TIMESTAMP`
    `CURRENT_USER`
    `CURSOR`
    `CYCLE`
    `DATALINK`
    `DEALLOCATE`
    `DEC`
    `DEREF`
    `DESCRIBE`
    `DETERMINISTIC`
    `DISCONNECT`
    `DLNEWCOPY`
    `DLPREVIOUSCOPY`
    `DLURLCOMPLETE`
    `DLURLCOMPLETEONLY`
    `DLURLCOMPLETEWRITE`
    `DLURLPATH`
    `DLURLPATHONLY`
    `DLURLPATHWRITE`
    `DLURLSCHEME`
    `DLURLSERVER`
    `DLVALUE`
    `DYNAMIC`
    `ELEMENT`
    `EXTERNAL`
    `FREE`
    `GET`
    `GLOBAL`
    `GRANT`
    `HAS`
    `HOLD`
    `IDENTITY`
    `IMPORT`
    `INDICATOR`
    `INPUT`
    `INSENSITIVE`
    `INT`
    `INTERVAL`
    `ISOLATION`
    `LARGE`
    `LOCALTIME`
    `LOCALTIMESTAMP`
    `MATCH`
    `MEMBER`
    `METHOD`
    `MODIFIES`
    `MODULE`
    `MULTISET`
    `NATIONAL`
    `NATURAL`
    `NCHAR`
    `NCLOB`
    `NEW`
    `NONE`
    `NUMERIC`
    `OLD`
    `OPEN`
    `OUTPUT`
    `OVERLAPS`
    `PRECISION`
    `PREPARE`
    `RANGE`
    `READS`
    `RECURSIVE`
    `REFERENCING`
    `RELEASE`
    `REVOKE`
    `ROLLBACK`
    `ROLLUP`
    `SAVEPOINT`
    `SCROLL`
    `SEARCH`
    `SENSITIVE`
    `SESSION_USER`
    `SPECIFIC`
    `SPECIFICTYPE`
    `SQL`
    `START`
    `STATIC`
    `SUBMULTILIST`
    `SYMETRIC`
    `SYSTEM`
    `SYSTEM_USER`
    `TIMEZONE_HOUR`
    `TIMEZONE_MINUTE`
    `TRANSLATION`
    `TREAT`
    `VALUE`
    `VARYING`
    `WHENEVER`
    `WINDOW`
    `WITHIN`
    `XMLBINARY`
    `XMLCAST`
    `XMLDOCUMENT`
    `XMLEXISTS`
    `XMLITERATE`
    `XMLTEXT`
    `XMLVALIDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TeiidDdlConstants.TeiidFutureReserveWord` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.TeiidFutureReserveWord[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOCATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord ALLOCATE

    - #### ARE

          public static final TeiidDdlConstants.TeiidFutureReserveWord ARE

    - #### ARRAY

          public static final TeiidDdlConstants.TeiidFutureReserveWord ARRAY

    - #### ASENSITIVE

          public static final TeiidDdlConstants.TeiidFutureReserveWord ASENSITIVE

    - #### ASYMETRIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord ASYMETRIC

    - #### AUTHORIZATION

          public static final TeiidDdlConstants.TeiidFutureReserveWord AUTHORIZATION

    - #### BINARY

          public static final TeiidDdlConstants.TeiidFutureReserveWord BINARY

    - #### CALLED

          public static final TeiidDdlConstants.TeiidFutureReserveWord CALLED

    - #### CASCADED

          public static final TeiidDdlConstants.TeiidFutureReserveWord CASCADED

    - #### CHARACTER

          public static final TeiidDdlConstants.TeiidFutureReserveWord CHARACTER

    - #### CHECK

          public static final TeiidDdlConstants.TeiidFutureReserveWord CHECK

    - #### CLOSE

          public static final TeiidDdlConstants.TeiidFutureReserveWord CLOSE

    - #### COLLATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord COLLATE

    - #### COMMIT

          public static final TeiidDdlConstants.TeiidFutureReserveWord COMMIT

    - #### CONNECT

          public static final TeiidDdlConstants.TeiidFutureReserveWord CONNECT

    - #### CORRESPONDING

          public static final TeiidDdlConstants.TeiidFutureReserveWord CORRESPONDING

    - #### CRITERIA

          public static final TeiidDdlConstants.TeiidFutureReserveWord CRITERIA

    - #### CURRENT_DATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord CURRENT_DATE

    - #### CURRENT_TIME

          public static final TeiidDdlConstants.TeiidFutureReserveWord CURRENT_TIME

    - #### CURRENT_TIMESTAMP

          public static final TeiidDdlConstants.TeiidFutureReserveWord CURRENT_TIMESTAMP

    - #### CURRENT_USER

          public static final TeiidDdlConstants.TeiidFutureReserveWord CURRENT_USER

    - #### CURSOR

          public static final TeiidDdlConstants.TeiidFutureReserveWord CURSOR

    - #### CYCLE

          public static final TeiidDdlConstants.TeiidFutureReserveWord CYCLE

    - #### DATALINK

          public static final TeiidDdlConstants.TeiidFutureReserveWord DATALINK

    - #### DEALLOCATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DEALLOCATE

    - #### DEC

          public static final TeiidDdlConstants.TeiidFutureReserveWord DEC

    - #### DEREF

          public static final TeiidDdlConstants.TeiidFutureReserveWord DEREF

    - #### DESCRIBE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DESCRIBE

    - #### DETERMINISTIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord DETERMINISTIC

    - #### DISCONNECT

          public static final TeiidDdlConstants.TeiidFutureReserveWord DISCONNECT

    - #### DLNEWCOPY

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLNEWCOPY

    - #### DLPREVIOUSCOPY

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLPREVIOUSCOPY

    - #### DLURLCOMPLETE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLCOMPLETE

    - #### DLURLCOMPLETEONLY

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLCOMPLETEONLY

    - #### DLURLCOMPLETEWRITE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLCOMPLETEWRITE

    - #### DLURLPATH

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLPATH

    - #### DLURLPATHONLY

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLPATHONLY

    - #### DLURLPATHWRITE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLPATHWRITE

    - #### DLURLSCHEME

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLSCHEME

    - #### DLURLSERVER

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLURLSERVER

    - #### DLVALUE

          public static final TeiidDdlConstants.TeiidFutureReserveWord DLVALUE

    - #### DYNAMIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord DYNAMIC

    - #### ELEMENT

          public static final TeiidDdlConstants.TeiidFutureReserveWord ELEMENT

    - #### EXTERNAL

          public static final TeiidDdlConstants.TeiidFutureReserveWord EXTERNAL

    - #### FREE

          public static final TeiidDdlConstants.TeiidFutureReserveWord FREE

    - #### GET

          public static final TeiidDdlConstants.TeiidFutureReserveWord GET

    - #### GLOBAL

          public static final TeiidDdlConstants.TeiidFutureReserveWord GLOBAL

    - #### GRANT

          public static final TeiidDdlConstants.TeiidFutureReserveWord GRANT

    - #### HAS

          public static final TeiidDdlConstants.TeiidFutureReserveWord HAS

    - #### HOLD

          public static final TeiidDdlConstants.TeiidFutureReserveWord HOLD

    - #### IDENTITY

          public static final TeiidDdlConstants.TeiidFutureReserveWord IDENTITY

    - #### IMPORT

          public static final TeiidDdlConstants.TeiidFutureReserveWord IMPORT

    - #### INDICATOR

          public static final TeiidDdlConstants.TeiidFutureReserveWord INDICATOR

    - #### INPUT

          public static final TeiidDdlConstants.TeiidFutureReserveWord INPUT

    - #### INSENSITIVE

          public static final TeiidDdlConstants.TeiidFutureReserveWord INSENSITIVE

    - #### INT

          public static final TeiidDdlConstants.TeiidFutureReserveWord INT

    - #### INTERVAL

          public static final TeiidDdlConstants.TeiidFutureReserveWord INTERVAL

    - #### ISOLATION

          public static final TeiidDdlConstants.TeiidFutureReserveWord ISOLATION

    - #### LARGE

          public static final TeiidDdlConstants.TeiidFutureReserveWord LARGE

    - #### LOCALTIME

          public static final TeiidDdlConstants.TeiidFutureReserveWord LOCALTIME

    - #### LOCALTIMESTAMP

          public static final TeiidDdlConstants.TeiidFutureReserveWord LOCALTIMESTAMP

    - #### MATCH

          public static final TeiidDdlConstants.TeiidFutureReserveWord MATCH

    - #### MEMBER

          public static final TeiidDdlConstants.TeiidFutureReserveWord MEMBER

    - #### METHOD

          public static final TeiidDdlConstants.TeiidFutureReserveWord METHOD

    - #### MODIFIES

          public static final TeiidDdlConstants.TeiidFutureReserveWord MODIFIES

    - #### MODULE

          public static final TeiidDdlConstants.TeiidFutureReserveWord MODULE

    - #### MULTISET

          public static final TeiidDdlConstants.TeiidFutureReserveWord MULTISET

    - #### NATIONAL

          public static final TeiidDdlConstants.TeiidFutureReserveWord NATIONAL

    - #### NATURAL

          public static final TeiidDdlConstants.TeiidFutureReserveWord NATURAL

    - #### NCHAR

          public static final TeiidDdlConstants.TeiidFutureReserveWord NCHAR

    - #### NCLOB

          public static final TeiidDdlConstants.TeiidFutureReserveWord NCLOB

    - #### NEW

          public static final TeiidDdlConstants.TeiidFutureReserveWord NEW

    - #### NONE

          public static final TeiidDdlConstants.TeiidFutureReserveWord NONE

    - #### NUMERIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord NUMERIC

    - #### OLD

          public static final TeiidDdlConstants.TeiidFutureReserveWord OLD

    - #### OPEN

          public static final TeiidDdlConstants.TeiidFutureReserveWord OPEN

    - #### OUTPUT

          public static final TeiidDdlConstants.TeiidFutureReserveWord OUTPUT

    - #### OVERLAPS

          public static final TeiidDdlConstants.TeiidFutureReserveWord OVERLAPS

    - #### PRECISION

          public static final TeiidDdlConstants.TeiidFutureReserveWord PRECISION

    - #### PREPARE

          public static final TeiidDdlConstants.TeiidFutureReserveWord PREPARE

    - #### RANGE

          public static final TeiidDdlConstants.TeiidFutureReserveWord RANGE

    - #### READS

          public static final TeiidDdlConstants.TeiidFutureReserveWord READS

    - #### RECURSIVE

          public static final TeiidDdlConstants.TeiidFutureReserveWord RECURSIVE

    - #### REFERENCING

          public static final TeiidDdlConstants.TeiidFutureReserveWord REFERENCING

    - #### RELEASE

          public static final TeiidDdlConstants.TeiidFutureReserveWord RELEASE

    - #### REVOKE

          public static final TeiidDdlConstants.TeiidFutureReserveWord REVOKE

    - #### ROLLBACK

          public static final TeiidDdlConstants.TeiidFutureReserveWord ROLLBACK

    - #### ROLLUP

          public static final TeiidDdlConstants.TeiidFutureReserveWord ROLLUP

    - #### SAVEPOINT

          public static final TeiidDdlConstants.TeiidFutureReserveWord SAVEPOINT

    - #### SCROLL

          public static final TeiidDdlConstants.TeiidFutureReserveWord SCROLL

    - #### SEARCH

          public static final TeiidDdlConstants.TeiidFutureReserveWord SEARCH

    - #### SENSITIVE

          public static final TeiidDdlConstants.TeiidFutureReserveWord SENSITIVE

    - #### SESSION_USER

          public static final TeiidDdlConstants.TeiidFutureReserveWord SESSION_USER

    - #### SPECIFIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord SPECIFIC

    - #### SPECIFICTYPE

          public static final TeiidDdlConstants.TeiidFutureReserveWord SPECIFICTYPE

    - #### SQL

          public static final TeiidDdlConstants.TeiidFutureReserveWord SQL

    - #### START

          public static final TeiidDdlConstants.TeiidFutureReserveWord START

    - #### STATIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord STATIC

    - #### SUBMULTILIST

          public static final TeiidDdlConstants.TeiidFutureReserveWord SUBMULTILIST

    - #### SYMETRIC

          public static final TeiidDdlConstants.TeiidFutureReserveWord SYMETRIC

    - #### SYSTEM

          public static final TeiidDdlConstants.TeiidFutureReserveWord SYSTEM

    - #### SYSTEM_USER

          public static final TeiidDdlConstants.TeiidFutureReserveWord SYSTEM_USER

    - #### TIMEZONE_HOUR

          public static final TeiidDdlConstants.TeiidFutureReserveWord TIMEZONE_HOUR

    - #### TIMEZONE_MINUTE

          public static final TeiidDdlConstants.TeiidFutureReserveWord TIMEZONE_MINUTE

    - #### TRANSLATION

          public static final TeiidDdlConstants.TeiidFutureReserveWord TRANSLATION

    - #### TREAT

          public static final TeiidDdlConstants.TeiidFutureReserveWord TREAT

    - #### VALUE

          public static final TeiidDdlConstants.TeiidFutureReserveWord VALUE

    - #### VARYING

          public static final TeiidDdlConstants.TeiidFutureReserveWord VARYING

    - #### WHENEVER

          public static final TeiidDdlConstants.TeiidFutureReserveWord WHENEVER

    - #### WINDOW

          public static final TeiidDdlConstants.TeiidFutureReserveWord WINDOW

    - #### WITHIN

          public static final TeiidDdlConstants.TeiidFutureReserveWord WITHIN

    - #### XMLBINARY

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLBINARY

    - #### XMLCAST

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLCAST

    - #### XMLDOCUMENT

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLDOCUMENT

    - #### XMLEXISTS

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLEXISTS

    - #### XMLITERATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLITERATE

    - #### XMLTEXT

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLTEXT

    - #### XMLVALIDATE

          public static final TeiidDdlConstants.TeiidFutureReserveWord XMLVALIDATE

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.TeiidFutureReserveWord[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.TeiidFutureReserveWord c : TeiidDdlConstants.TeiidFutureReserveWord.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.TeiidFutureReserveWord valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.